CVE-2019-15034

Priority
Description
hw/display/bochs-display.c in QEMU 4.0.0 does not ensure a sufficient PCI
config space allocation, leading to a buffer overflow involving the PCIe
extended config space.
Assigned-to
mdeslaur
Notes
Package
Source: qemu (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (code not present)
Ubuntu 19.10 (Eoan Ermine):released (1:4.0+dfsg-0ubuntu9.6)
Ubuntu 20.04 LTS (Focal Fossa):not-affected (1:4.2-3ubuntu1)
Ubuntu 20.10 (Groovy Gorilla):not-affected (1:4.2-3ubuntu1)
Patches:
Upstream:https://git.qemu.org/?p=qemu.git;a=commit;h=5e7bcdcfe69ce0fad66012b2cfb2035003c37eef
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (code not present)
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.10 (Eoan Ermine):DNE
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
More Information

Updated: 2020-05-21 19:15:13 UTC (commit 1857171283772f1f0527cca8d67d08598c24448e)